#pragma once

#ifdef __GCC__

#include <cstring>
#include <cstdlib>
#include <csignal>

inline int _strcmpi(const char *a, const char *b)
{
	return strcasecmp(a, b);
}

inline int _strncmp(const char *a, const char *b, const size_t n)
{
	return strncmp(a, b, n);
}

inline int _strnicmp(const char *a, const char *b, const size_t n)
{
	return strncasecmp(a, b, n);
}

inline void *_aligned_malloc(const size_t size, const size_t align)
{
	return aligned_alloc(align, size);
}

inline void _aligned_free(void *mem)
{
	return free(mem);
}

inline void __debugbreak(void)
{
	raise(SIGTRAP);
}

#endif
